curl --request GET \
--url https://api.cloudglue.dev/v1/chat/completions \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": 123,
"object": "chat.completion",
"model": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
},
"choices": [
{
"index": 123,
"message": {
"role": "system",
"content": "<string>",
"name": "<string>"
}
}
],
"payload": {
"messages": [
{
"role": "system",
"content": "<string>",
"name": "<string>"
}
],
"temperature": 123,
"filter": {
"metadata": [
{
"path": "<string>",
"operator": "NotEqual",
"valueText": "<string>",
"valueTextArray": [
"<string>"
],
"scope": "file"
}
],
"video_info": [
{
"path": "duration_seconds",
"operator": "NotEqual",
"valueText": "<string>",
"valueTextArray": [
"<string>"
],
"scope": "file"
}
],
"file": [
{
"path": "bytes",
"operator": "NotEqual",
"valueText": "<string>",
"valueTextArray": [
"<string>"
]
}
]
},
"collections": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
],
"total": 123,
"limit": 123,
"offset": 123
}List all chat completions with optional filtering
curl --request GET \
--url https://api.cloudglue.dev/v1/chat/completions \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": 123,
"object": "chat.completion",
"model": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
},
"choices": [
{
"index": 123,
"message": {
"role": "system",
"content": "<string>",
"name": "<string>"
}
}
],
"payload": {
"messages": [
{
"role": "system",
"content": "<string>",
"name": "<string>"
}
],
"temperature": 123,
"filter": {
"metadata": [
{
"path": "<string>",
"operator": "NotEqual",
"valueText": "<string>",
"valueTextArray": [
"<string>"
],
"scope": "file"
}
],
"video_info": [
{
"path": "duration_seconds",
"operator": "NotEqual",
"valueText": "<string>",
"valueTextArray": [
"<string>"
],
"scope": "file"
}
],
"file": [
{
"path": "bytes",
"operator": "NotEqual",
"valueText": "<string>",
"valueTextArray": [
"<string>"
]
}
]
},
"collections": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
],
"total": 123,
"limit": 123,
"offset": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Maximum number of chat completions to return
x <= 100Number of chat completions to skip
Filter chat completions created before a specific date (YYYY-MM-DD format), in UTC timezone
Filter chat completions created after a specific date (YYYY-MM-DD format), in UTC timezone
A list of chat completions